unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    ComboBox1: TComboBox;
    Button2: TButton;
    Button3: TButton;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure ZapiszDoPlikuTekstowego(nazwaPliku :String;linie :TStrings);
var
  plikWy :TextFile;
  i :Integer;
begin
AssignFile(plikWy,nazwaPliku);
Rewrite(plikWy);
for i:=0 to linie.Count-1 do WriteLn(plikWy,linie[i]);
CloseFile(plikWy);
end;

procedure DopiszDoPlikuTekstowego(nazwaPliku :String;linie :TStrings);
var
  plikWy :TextFile;
  i :Integer;
begin
AssignFile(plikWy,nazwaPliku);
if FileExists(nazwaPliku) then Append(plikWy)
                          else Rewrite(plikWy);
for i:=0 to linie.Count-1 do WriteLn(plikWy,linie[i]);
CloseFile(plikWy);
end;

procedure CzytajZPlikuTekstowego(nazwaPliku :String;linie :TStrings);
var
  plikWe :TextFile;
  linia :String;
begin
AssignFile(plikWe,nazwaPliku);
Reset(plikWe);
while not Eof(plikWe) do
  begin
  ReadLn(plikWe,linia);
  linie.Add(linia);
  end;
CloseFile(plikWe);
end;

function CzytajZPlikuTekstowegoFunkcja(nazwaPliku :String) :TStrings;
var
  plikWe :TextFile;
  linia :String;
begin
Result:=TStringList.Create;
AssignFile(plikWe,nazwaPliku);
Reset(plikWe);
repeat
  ReadLn(plikWe,linia);
  Result.Add(linia);
  until Eof(plikWe);
CloseFile(plikWe);
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
ZapiszDoPlikuTekstowego('Czcionki.txt',ListBox1.Items);
ListBox1.Items.SaveToFile('Czcionki1.txt');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
CzytajZPlikuTekstowego('Czcionki.txt',ComboBox1.Items);
ComboBox1.ItemIndex:=0;
ComboBox1.DroppedDown:=True;
end;

procedure TForm1.Button3Click(Sender: TObject);
var linie :TStrings;
begin
//ComboBox1.Items:=CzytajZPlikuTekstowegoFunkcja('Czcionki.txt');
linie:=CzytajZPlikuTekstowegoFunkcja('Czcionki.txt');
ComboBox1.Items:=linie;  //kopiowanie
if linie.Equals(ComboBox1.Items) then ShowMessage('Equals');
if linie=ComboBox1.Items then ShowMessage('=');
linie.Free;
ComboBox1.ItemIndex:=0;
ComboBox1.DroppedDown:=True;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
ListBox1.Items:=Screen.Fonts;
end;

end.
